%define name gnome-schedule
%define	version	2.2.1
%define release	%mkrel 1

Summary:	Managing cron job or at job using GUI
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Other
URL:		http://gnome-schedule.sourceforge.net/
Source:		http://downloads.sourceforge.net/gnome-schedule/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pygtk2.0-devel
BuildRequires:	yelp
BuildRequires:	at
BuildRequires:	desktop-file-utils
BuildRequires:  pygtk2.0-libglade gnome-python gnome-python-gconf libxslt-proc gnome-python-devel
BuildRequires:  gnome-common intltool
Requires:	at
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:       crontabs

%description
Gnome-schedule is a tool for managing a users crontab or at jobs
using a GUI. Its key features include:

  * View and edit cron and at jobs in a GUI
  * You can add templates like "Build Kernel" or "Scan for viruses" for
easy reuse of jobs
  * Change other users cron and at jobs if you are root
  * Icons and titles for jobs
  * A human readable text string of cron jobs, to make it easier for
users to understand something like: 5 0 * * *, gnome-schedule translates
it into: At every day at 00:05
  * There is also some predefined common expressions like; every day,
every minute, every week, tomorrow, next week. Depending whether you are
adding a cron job or at job.
  * An advanced view to make it more efficient for the experienced user
to manage his crontabs.
  * A calendar to choose when an at job should be added.

WARNING: This is still a beta release and not ready for user consumption
yet. It is uploaded for software testing. Please submit bug reports to
GNOME bugzilla (bugzilla.gnome.org).

%prep
%setup -q


%build

%{__perl} -pi -e "s#OnlyShowIn=GNOME#OnlyShowIn=GNOME;#g" desktop/gnome-schedule.desktop.in.in

%configure2_5x --disable-scrollkeeper

%make


%install
rm -rf %{buildroot}
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-System-Configuration-Other;Settings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


%post
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/omf/gnome-schedule/gnome-schedule-C.omf
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*


%changelog
* Mon Jul 29 2013 billybot <billybot> 2.2.1-1pclos2013
- 2.2.1

* Sat Oct 23 2010 Sproggy <desproggster@gmail.com> 2.1.2-1pclos2009
- 2.1.2

* Wed Sep 16 2009 slick50 <lxgator@gmail.com> 2.1.1-1pclos2009
- 2.1.1

* Thu Sep 03 2009 slick50 <lxgator@gmail.com> 2.1.0-1pclos2009
- 2.1.0

* Fri Mar 20 2009 Texstar <texstar@gmail.com> 2.0.2-2pclos2007
- add missing dependency


